• Antegros installation fails: cannot create download package list


    Screenshot from 2015-10-12 15-48-36.png
    As you can see in the file. First error occurs is

    2015-10-12 16:55:38 [ERROR] pac.py(493) cb_log(): could not open file /var/lib/pacman/sync/antergos.db: Unrecognized archive format

    sudo rm /var/lib/pacman/sync/antergos.db did not solve the problem.
    Anyone with the same error? How can i fix the install?

    [antergos_install_log](uploading 100%)

  • @chm I think it’s caused by a faulty mirror. It used to happen quite often to me when installing, so now when I have to install I usually start chcni, then edit or replace mirrorlist and antergos-mirrorlist in /etc/pacman.d and use reliable mirrors that I use daily. Just my 0.2c.

  • Unfortunately ther mirrorlist is overwritten during installation process and all my efforts are lost. What can i do?

  • @chm I seem to recall I replace them when cnchi asks to choose an username and a password, then I run pacman -Syy to force update the db. Probably there’s a better method but that’s what I usually do ;)

  • @knightfall thanks a lot that was working for me.

  • Just to let you know, running cnchi with the --disable-rank-mirrors option should leave you mirrorlist alone.

    Cheers!

  • Update #1
    I have been trying to install with Cinnamon DE all this time no other selections in extras. But for once tried changing the DE to XFCE, again no other selections. and Installer went past without an error. Could be mirror related to specific DE package?

    Update #2
    Just tried installing with Cinnamon DE selected - received the same error, straight after (without reboot or making any config changes) tried installing with OpenBox DE selected and it worked flawlessly.

    Update #3
    Tried installing with Cinnamon about 8 times doing different things and it failed every time with same error.
    OpenBox, XFCE and GNOME are confirmed to work flawlessly

    I get this error too, tried many many many times, with reboots, (I did manage to get antergos to install after few days of having this error couple of months ago, but it’s come back with a vengeance on new installation for me now).

    Antergos Installer - Error
    ’Cannot create download package list (metalinks). Check log output for details.’

    This is using antergos-2015.10.18-x86_64.iso. Cnchi gets updated upon boot into live system ok, at least from the notification that pops up.
    Cnchi then becomes version 0.12.39

    I’ve tried searching around google for a solution and tried a few things, including removing and reinstalling cnchi, running it from terminal with different flags etc, same error comes up every time.

    PS I’m not proficient enough with Arch or Pacman to know what mirrors, how and where to change them (know apt sources only). This is one
    of many reasons I went with Antergos instead of Arch default, as I though the point of the project was to make arch accessible to newbs like me ;)
    So when the installer fails like this, it’s quite disheartening… But I understand development hurdles and if you need logs etc and can let me know how to get them I will update my post to be more helpful.

  • Hi,

    There must be a problem with a package that is only installed when selecting Cinnamon

    Cannot create download package list (metalinks). Check log output for details.’

    Please, provide the log as it will show which is the offending package. The log is stored in /tmp/cnchi.log

    Thanks, and sorry for the trouble.

  • Probably zukitwo-themes. At least in my case.

  • @greh You’re right. Something is wrong with that package. I’ll do some checks.

    EDIT: Yep, package got renamed. I’ll fix it asap.
    EDIT2: Cnchi 0.12.41 should work.

  • I am also getting same message when trying to install Antergos Cinnamon: Cannot create download package list (metalinks).

  • Can confirm it now works.

  • Thank you all up and running now

  • @karasu said:

    @greh You’re right. Something is wrong with that package. I’ll do some checks.

    EDIT: Yep, package got renamed. I’ll fix it asap.
    EDIT2: Cnchi 0.12.41 should work.

    Just tried installing Antergos on a computer here at work and it’s still on Cnchi 0.12.39; when I connect it online it says Cnchi is the latest version though.

    I think I’m running the latest Antergos image; could it be something blocking my work network? Updates work fine, but I noticed I can’t go to https sites.

    Thanks!

  • I had the same issue some time ago as well, trying to install Antergos it on my laptop. I think a good solution should be provided, rerunning the install script worked. But I think the Antergos installation should be smarter and more robust.

    Maybe give this issue a bit more priority.

  • I have attempted a re-install of Antergos Cinnamon and I am getting Cnchi not up to date and fails to install at the end of downloading packages. I have run Syy and Syu and all seems OK is something broken? thanks

  • This post is deleted!
  • I am having the same problem. I tried to upload the log but it says its to large. This is what i found at the end of it.

    finalize_transaction(): Can’t finalize alpm transaction: transaction failed, pm_errno 33 (invalid or corrupted package), []
    2015-11-26 15:40:14 [DEBUG] pac.py(164) finalize_transaction(): Releasing alpm transaction…
    2015-11-26 15:40:14 [DEBUG] pac.py(166) finalize_transaction(): Alpm transaction done.
    2015-11-26 15:40:14 [ERROR] process.py(106) run(): “Can’t install necessary packages. Cnchi can’t continue.”

  • This is the same error I have been getting I have tried to install 6 times, I thought it was me being a newbie! Thanks for the info silex512

  • @meekee @silex512 If possible, please post a link to the entire log contents. You can use a pastebin service like this one.

install76 Posts 31Views 6543
Log in to reply